import * as $dara from '@darabonba/typescript';
import { CreateNatGatewayResponseBody } from "./CreateNatGatewayResponseBody";
export declare class CreateNatGatewayResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: CreateNatGatewayResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
